Cannot start Neo4j 4.0.0

I have just installed Neo4j 4.0.0 Enterprise edition by using Neo4j Debian package. At the first time I started, It run properly. After that, I stop service to install APOC and Algo plugins and started it again. The error has occured

Argument `nodeIds` at position 0 in `list` with
type `List` cannot be converted to a Neo4j type: Default value `` could not be parsed as a LIST? OF INTEGER?

What's happened with my Neo4j and how to fix it ?
Thank you

1 Like

Goodevening,
Good it be that the APOC and/or ALGO plugin is NOT version 4.xxx?

Yours kindly
Omer

Hi Harvey,
Graph algorithms are not compatible with 4.0 yet. I believe APOC 4.0 compatible version was released recently. Use that jar and remove graph algorithms plugin.

Thanks
Ravi

1 Like

If the issue persists after removal of algo plugin, also remove apoc to bisect if it's an apoc issue or something else.

Thanks @anthapu for your solution,

@stefan.armbruster I have just remove algorithms plugin and started it again. Neo4j work well.
However, I am using unionFind algorithm in 3.5 version. So I have to wait a new release for graph algorithms plugin? Are there any solutions if I want to using neo4j 4.0?

Thanks
Harvey

You'll have to wait for Algo plugin to work with 4.0. I'd guess it's a few weeks out.

Just ran into this issue myself.